2009-03-23  Dan Williams  <dcbw@redhat.com>

	* properties/nm-openvpn-dialog.glade
	  properties/auth-helpers.c
		- Add a 'remote ip' entry to static-key mode

2009-03-23  Dan Williams  <dcbw@redhat.com>

	Patch from Ove Everlid <Ove.Everlid@sun.com>

	* src/nm-openvpn-service-openvpn-helper.c
		- (main): allow 'ifconfig_netmask' for TUN mode too

2009-03-18  Dan Williams  <dcbw@redhat.com>

	* properties/auth-helpers.c
		- (auth_widget_update_connection): actually save local IP address
			for static key connections

2009-03-18  Dan Williams  <dcbw@redhat.com>

	* properties/auth-helpers.c
		- (populate_hmacauth_combo): fix # of columns in the list store,
			making HMAC Auth actually save itself when hitting Apply

2009-02-13  Dan Williams  <dcbw@redhat.com>

	* nm-openvpn-service.conf
		- Clean up dbus permissions; retain deny for compat with older dbus

2009-02-12  Dan Williams  <dcbw@redhat.com>

	Patch from Robert Vogelgesang <vogel@users.sourceforge.net>

	* properties/auth-helpers.c
	  properties/import-export.c
	  properties/nm-openvpn-dialog.glade
	  src/nm-openvpn-service.c
	  src/nm-openvpn-service.h
		- Handle HMAC authentication (--auth)

2009-01-28  Dan Williams  <dcbw@redhat.com>

	* src/nm-openvpn-service-openvpn-helper.c
		- (main): handle subnets correctly; TAP devices get their netmask
			from 'ifconfig_netmask', while TUN devices always use
			/32 becuase they are point-to-point

2009-01-28  Christoph Höger <choeger@cs.tu-berlin.de>

	* src/nm-openvpn-service.c
		- (real_connect, real_need_secrets): don't segfault if the
			connection type is invalid

2008-12-13  Przemysław Grzegorczyk  <pgrzegorczyk@gmail.com>

	* src/nm-openvpn-service.h:
	* properties/auth-helpers.h:
	* auth-dialog/gnome-two-password-dialog.c:
	* auth-dialog/gnome-two-password-dialog.h: Cleared up gtk and glib includes
	to use only toplevel headers. Bug #564376.

2008-12-11  Dan Williams  <dcbw@redhat.com>

	* Split into separate repository

2008-10-28  Tambet Ingo  <tambet@gmail.com>

	Patch from Bin Li <libin.charles@gmail.com>.

	* properties/import-export.c (handle_path_item): Search for certificates
	from the directory where the configuration file is from.

2008-10-26  Dan Williams  <dcbw@redhat.com>

	* properties/auth-helpers.c
	  properties/import-export.c
	  properties/nm-openvpn.c
		- Update for setting accessor changes

2008-10-17  Dan Williams  <dcbw@redhat.com>

	* properties/auth-helpers.c
		- (advanced_dialog_new): The "Certificates (TLS)" tab should also be
			present for NM_OPENVPN_CONTYPE_PASSWORD

2008-10-17  Dan Williams  <dcbw@redhat.com>

	* properties/auth-helpers.c
		- (tls_default_filter, tls_file_chooser_filter_new): accept ".cer"
			extension too

2008-10-11  Dan Williams  <dcbw@redhat.com>

	* src/nm-openvpn-service-openvpn-helper.c
		- (main): handle route_vpn_gateway (requires NM svn r4169) (bgo #549196)

2008-09-30  Dan Williams  <dcbw@redhat.com>

	* properties/nm-openvpn-dialog.glade
		- Fix the User and CA certificate entries in Password TLS mode, they
			were swapped with their labels (rh #464765)
		- Move private key password entries below private key chooser
		- Rename "Certificate Password" to "Private key password" since that's
			what they actually are

	* properties/auth-helpers.c
		- (fill_password): s/cert_password/priv_key_password/s
		- (fill_vpn_passwords): fix up for corrected widget names; fix mis-filling
			of pw_tls secret widgets where passwords were reversed
		- (auth_widget_save_secrets): fix up for corrected widget names

	* src/nm-openvpn-service.c
		- s/certpass/priv_key_pass/s becuase that's what it is

2008-09-29  Dan Williams  <dcbw@redhat.com>

	Patch from Robert Buchholz <rbu@gentoo.org>

	* src/nm-openvpn-service.c
		- (openvpn_watch_cb): don't access socket_channel if it doesn't exist
			because openvpn exited before the management socket could be set up

2008-09-24  Dan Williams  <dcbw@redhat.com>

	* common-gnome/*
	  auth-dialog/Makefile.am
	  properties/Makefile.am
		- Add the keyring helpers that Tambet forgot in the last commit :)

2008-09-24  Tambet Ingo  <tambet@gmail.com>

	* properties/nm-openvpn-dialog.glade: Add "show passwords" checkbox.

	* properties/nm-openvpn.c (auth_combo_changed_cb): Change the 
	sensitivity of "show passwords" checkbox depending on whether the 
	active page has any password entries.

	* properties/auth-helpers.c (fill_password): Add a signal handler for
	"show passwords" checkbox to change the password entry's visibility.

2008-09-24  Tambet Ingo  <tambet@gmail.com>

	* Implement required "save_secrets" and "delete_connection" methods of the
	VPN plugin UI interface.
	Add the password widgets to the properties UI so that the passwords can be
	edited/deleted from the UI. Reorganize the code a bit to avoid duplicate
	code (using VPNC plugin as a template).

2008-09-10  Dan Williams  <dcbw@redhat.com>

	* src/nm-openvpn-service.c
		- Clean up management socket and connect timer when the plugin stops;
			becuase of this openvpn's output needs to be processed from the
			child watch callback otherwise it gets lost when the management
			socket is cleaned up during the state change to STOPPED.
		- Fix parsing of private key auth failure

2008-09-05  Dan Williams  <dcbw@redhat.com>

	* src/nm-openvpn-service.c
		- (nm_openvpn_start_openvpn_binary): send --script-security=2 to allow
			the plugin's scripts to be run.  Requires OpenVPN 2.1-rc9 or later,
			distros with older versions should patch this out.

2008-09-04  Dan Williams  <dcbw@redhat.com>

	* src/nm-openvpn-service.c
		- (nm_openvpn_start_openvpn_binary, real_connect, real_need_secrets):
			handle split VPN secrets

2008-08-28  Dan Williams  <dcbw@redhat.com>

	* auth-dialog/main.c
		- (get_secrets): don't gtk_widget_show_all() because that exposes
			widgets that were supposed to be hidden

2008-08-26  Dan Williams  <dcbw@redhat.com>

	* auth-dialog/main.c
		- Convert to connection UUIDs (requires NM svn 4013 or later)
		- General cleanups
		- Store secrets in the keyring the same way the pptp and vpnc plugins do

2008-08-22  Dan Williams  <dcbw@redhat.com>

	* src/nm-openvpn-service-openvpn-helper.c
		- (main): grab tunnel MTU and push that through to NM

2008-08-18  Claude Paroz  <claude@2xlibre.net>

	* properties/nm-openvpn-dialog.glade: Removed translatable property on non
	user-visible strings and stock labels.

2008-08-14  Tambet Ingo  <tambet@gmail.com>

	* src/nm-openvpn-service.c (nm_openvpn_socket_data_cb): Detect private key
	verification errors too.

	* auth-dialog/main.c (pem_is_encrypted): GIOChannel isn't a GObject, use the
	correct unreferencing function for it.

2008-08-12  Dan Williams  <dcbw@redhat.com>

	* properties/auth-helpers.c
	  properties/nm-openvpn-dialog.glade
		- Handle shared -> static change
		- Hook up the Static Key "Local IP Address" entry

	* properties/import-export.c
		- Handle shared -> static change

	* src/nm-openvpn-service.c
	  src/nm-openvpn-service.h
		- (nm_openvpn_start_openvpn_binary): always dup strings when adding to
			the argument array so that freeing the array later actually works
		- (validate_one_property): validate addresses too
		- (nm_openvpn_properties_validate): fix determination of error/success
		- (real_connect): fix stray ; causing all connection attempts to fail

2008-08-11  Dan Williams  <dcbw@redhat.com>

	Update to match NM svn3924 vpn setting changes; verify options better;
	return more informative errors on VPN launch failures; change some config
	options (tap-dev, proto-tcp, connection-type) to better reflect their
	usage.

2008-08-08  Dan Williams  <dcbw@redhat.com>

	* src/nm-openvpn-service.c
		- (nm_openvpn_socket_data_cb): handle spaces in passwords and usernames
			(bgo #482139)

2008-08-06  Dan Williams  <dcbw@redhat.com>

	* src/nm-openvpn-service-openvpn-helper.c
		- (get_routes): handle route metrics

2008-07-28  Dan Williams  <dcbw@redhat.com>

	* properties/auth-helpers.c
		- (populate_cipher_combo): don't depend on shell and utils which may not
			always be there

2008-07-27  Dan Williams  <dcbw@redhat.com>

	Patch from Michael Biebl <biebl@debian.org>

	* Move service to $LIBEXECDIR, remove unneeded compilation flags, move
		properties plugin to $LIBDIR/NetworkManager

2008-07-19  Dan Williams  <dcbw@redhat.com>

	* properties/nm-openvpn.c
		- (advanced_dialog_response_cb): only update if OK was pressed

2008-07-18  Dan Williams  <dcbw@redhat.com>

	* src/nm-openvpn-service.c
		- (nm_openvpn_start_openvpn_binary): only add tls-auth direction if
			it's non-empty (Nathaniel McCallum)

2008-07-17  Tambet Ingo  <tambet@gmail.com>

	* properties/nm-openvpn.c (openvpn_plugin_ui_class_init): Don't add empty
	private data to the class, it produces a runtime warning.

2008-07-07  Dan Williams  <dcbw@redhat.com>

	* src/nm-openvpn-service-openvpn-helper.c
		- Use IPv4 address prefixes rather than netmasks (requires svn3812)

2008-07-03  Dan Williams  <dcbw@redhat.com>

	* nm-openvpn-service.name.in
	  Makefile.am
		- Remove paths from .name file (requires applet r776 or later) to fix
			issues with multilib and magic path substitution in glibc

2008-07-02  Dan Williams  <dcbw@redhat.com>

	* properties/auth-helpers.c
		- (tls_default_filter): read more of the certificate/key file to look
			for the known certificate or key tags, not just 1024 bytes

2008-06-30  Dan Williams  <dcbw@redhat.com>

	* properties/auth-helpers.c
		- (tls_default_filter, tls_file_chooser_filter_new): accept .crt and
			.key too

2008-06-30  Dan Williams  <dcbw@redhat.com>

	* properties/import-export.c
	  properties/import-export.h
	  properties/Makefile.am
		- Implement import of OpenVPN config files

	* properties/nm-openvpn.c
	  properties/nm-openvpn.h
		- Add another error for import
		- (import): check file extension; get contents; hand off to importer

2008-06-26  Dan Williams  <dcbw@redhat.com>

	Implement the Advanced... dialog

2008-06-23  Dan Williams  <dcbw@redhat.com>

	* Convert to new NM VPN UI plugin format

	Requires a NetworkManager of at least SVN revision r3761.

2008-06-06  Dan Williams  <dcbw@redhat.com>

	Patch from Tambet Ingo  <tambet@gmail.com>

	* src/nm-openvpn-service-openvpn-helper.c
		- (main, get_routes): send routes too

2008-05-30  Dan Williams  <dcbw@redhat.com>

	Patch from Casey Harkins <caseyharkins@gmail.com>

	* src/nm-openvpn-service.c
		- (nm_openvpn_start_openvpn_binary): don't send --ns-cert-type, it's
			not really supposed to be used anymore since that option isn't
			used any more when creating server certificates

2008-05-22  Tambet Ingo  <tambet@gmail.com>

	* src/nm-openvpn-service.c (real_disconnect): If sending SIGTERM 
	succeeds, add a timeout to make sure it gets killed. If it fails,
	send SIGKILL immediately.

2008-05-01  Dan Williams  <dcbw@redhat.com>

	* src/nm-vpnc-service.c
		- (validate_one_property): allow the 'name' property

2008-04-27  Dan Williams  <dcbw@redhat.com>

	* properties/Makefile.am
		- Avoid versioning properties plugin (gnome.org #529836)

2008-04-10  Dan Williams  <dcbw@redhat.com>

	* vpn-daemons/openvpn/auth-dialog/main.c
		- Fix up for connection ID; but needs more work to actually read the
			keyring key from the right place

2008-04-10  Tambet Ingo  <tambet@gmail.com>

	* auth-dialog/main.c (main): Add the '-i' argument the applet now sends.

2008-03-13  Dan Williams  <dcbw@redhat.com>

	* nm-openvpn-service.name.in
		- Fix for 64 bit compat (gnome.org #522231)

2008-02-06  Dan Williams  <dcbw@redhat.com>

	Patch from Ryan Ayers <rayers.public@dividia.net>

	* src/nm-openvpn-service-openvpn-helper.c
		- (main): respect server-provided DNS search domain

2008-01-31  Dan Williams  <dcbw@redhat.com>

	Patch from Robert Hughes <rhughes@smgf.org>

	* src/nm-openvpn-service.c
	  properties/nm-openvpn.c
		- Make 'port' an integer, not a uint

2007-12-13  Tim Niemueller <tim@niemueller.de>

	* nm-openvpn.desktop.in: Updates to make desktop-file-validate happy

	* properties/nm-openvpn.c: Added NULL pointer checks

2007-12-11  Dan Williams  <dcbw@redhat.com>

	Patches from Casey Harkins <caseyharkins@gmail.com>

	* src/nm-openvpn-service-openvpn-helper.c
		- (main): make ifconfig_remote optional

2007-12-11  Dan Williams  <dcbw@redhat.com>

	Patches from Casey Harkins <caseyharkins@gmail.com>

	* properties/nm-openvpn.c
		- (impl_fill_connection): duplicate hash table keys as required

2007-12-07  Dan Williams  <dcbw@redhat.com>

	Patches from Casey Harkins <caseyharkins@gmail.com>

	* src/nm-openvpn-service-openvpn-helper.c
		- (parse_addr_list): fix off-by-one error

	* src/nm-openvpn-service.c
		- (nm_openvpn_start_openvpn_binary): don't let openvpn stomp all over
			the routing table since NM manages that

	* auth-dialog/main.c
	  src/nm-openvpn-service.h
	  src/nm-openvpn-service.c
		- Don't require a certificate password

2007-12-05  Dan Williams  <dcbw@redhat.com>

	Patch from Casey Harkins <caseyharkins@gmail.com>

	* src/nm-openvpn-service-openvpn-helper.c
	  src/nm-openvpn-service.c
	  properties/nm-openvpn.c
	  auth-dialog/main.c
		- Fix up so it mostly works

2007-11-23  Tim Niemueller <tim@niemueller.de>

	* configure.in: raise version number to 0.7.0 to reflect the
	dependency on the new NM and to separate it from the 0.6 branch.

2007-11-15  Dan Williams  <dcbw@redhat.com>

	* properties/nm-vpnc.c
		- Fixup for NMSettingConnection 'name' -> 'id' changes

2007-11-07  Dan Williams  <dcbw@redhat.com>

	* properties/nm-openvpn.c
	  src/nm-openvpn-service.c
		- Fix for new NMSetting API changes

2007-10-28  Tim Niemueller <tim@niemueller.de>

	* nm-openvpn.desktop.in: Added NoDisplay=true

2007-10-26  Dan Williams  <dcbw@redhat.com>

	* properties/nm-openvpn.c
		- (impl_get_object): use a glade root, and ensure widget is referenced
			correctly

2007-10-08  Tambet Ingo  <tambet@gmail.com>

	* Update everything to work with the 0.7 branch NetworkManager.

2007-08-15  Tambet Ingo  <tambet@gmail.com>

	* nm-openvpn-service.name.in: Use uppercase macros so that they get replaced
	by the Makefile.

2007-08-14  Dan Williams  <dcbw@redhat.com>

	* src/nm-openvpn-service.c
		- Handle NM_VPN_STATE_* -> NM_VPN_SERVICE_STATE_* and NMVPNState -> 
			NMVPNServiceState renames

2007-07-26  Dan Williams  <dcbw@redhat.com>

	Patch from Andreas Hanke <andreas.hanke@gmx-topmail.de>

	* configure.in
	  acinclude.m4
	  Makefile.am
		- remove broken usage of AS_AC_EXPAND (#413323)

2007-07-26  Dan Williams  <dcbw@redhat.com>

    Patch from Robert Buchholz <rbu@gentoo.org>

    * configure.in
        - Find & link against libnm-util too (#454739)

2007-06-21  Christopher Aillon  <caillon@redhat.com>

	* nm-openvpn-service.name.in:
	Make the properties library path multilib friendly (#447577)

2007-04-02  Dan Williams  <dcbw@redhat.com>

	Patch from Christian Persch <chpe@gnome.org>
	* properties/nm-openvpn-dialog.glade
		- HIGify (gnome.org #423753)

2007-04-02  Dan Williams  <dcbw@redhat.com>

	Patch from Christian Persch <chpe@gnome.org>
	* src/nm-openvpn-service.c
		- (nm_openvpn_dbus_process_helper_ip4_config): build fix (gnome.org #423757)

2007-03-15  Dan Williams <dcbw@redhat.com>

	Patch from Jon Nettleton

	* properties/nm-openvpn-dialog.glade
	  properties/nm-openvpn.c
		- Move advanced properties into a separate dialog

2007-02-26  Dan Williams  <dcbw@redhat.com>

	Patch from Jon Nettleton

	* properties/nm-openvpn-dialog.glade
	  properties/nm-openvpn.c
		- Reduce size of OpenVPN configuration dialog (Gnome.org #410669)

2007-02-02  Dan Williams  <dcbw@redhat.com>

	* src/nm-openvpn-service.c
		- (nm_openvpn_dbus_process_helper_ip4_config): convert to dict-based
			IP4Config interface

2006-12-07  Dan Williams  <dcbw@redhat.com>

	Patch from Christian Persch <chpe@gnome.org>

	* auth-dialog/main.c
		- Fix memleak by unrefing the GnomeProgram instance (Gnome.org #383110)

2006-12-07  Dan Williams  <dcbw@redhat.com>

	Patch from Christian Persch <chpe@gnome.org>

	* auth-dialog/main.c
	  auth-dialog/gnome-two-password-dialog.c
		- HIG-ify (Gnome.org #383109)

2006-11-24  Dan Williams  <dcbw@redhat.com>

	Patch from Helmut Schaa <hschaa@suse.de>
	* src/nm-openvpn-service-openvpn-helper.c
		- Redirect output to syslog

2006-10-30  Tambet Ingo  <tambet@ximian.com>

	* properties/Makefile.am: Add NetworkManager to CFLAGS and LDADD.

	* src/Makefile.am: Ditto.

	* properties/nm-openvpn.c: Remove the leading NetworkManager directory
	from NM includes since the NM pkg-config file already adds that.

	* src/nm-openvpn-service-openvpn-helper.c: Ditto.

	* src/nm-openvpn-service.c: Ditto.

2006-10-04  Tambet Ingo  <tambet@ximian.com>

	* properties/nm-openvpn.c (impl_get_widget, impl_get_properties)
        (import_from_file): s/tcp/tcp-client.

2006-07-28  Christophe Merlet  <redfox@redfoxcenter.org>

	* properties/nm-openvpn-dialog.glade.h: fixed typo.
	* configure.in (ALL_LINGUAS): Added fr (French).

2006-06-19  Satoru SATOH <ss@gnome.gr.jp>

	* configure.in (ALL_LINGUAS): Added ja (Japanese).

2006-06-17  Marcel Telka  <marcel@telka.sk>

	* configure.in (ALL_LINGUAS): Added sk.

2006-05-11  Robert Love  <rml@novell.com>

	Patch to add OpenVPN TLS and Cipher support, by Groug <groug@free.fr>:
	* properties/nm-openvpn-dialog.glade: Add UI checkboxes.
	* properties/nm-openvpn.c: New UI.
	* src/nm-openvpn-service.c: Support "--tls-auth" and "--cipher"
	  OpenVPN options.
	* src/nm-utils.c: Add nm_find_openvpn(), exported function for finding
	  the location of the OpenVPN binary.
	* src/nm-utils.h: Add prototype.

2006-05-01  Josep Puigdemont Casamajó  <josep.puigdemont@gmail.com>

	* configure.in: Added "ca" to ALL_LINGUAS.

2006-04-17  Robert Love  <rml@novell.com>

	* properties/nm-openvpn-dialog.glade: If the dialog won't let the user
	  type in the file entry GtkEntries, then don't mark them editable.

2006-04-10  Robert Love  <rml@novell.com>

	* properties/nm-openvpn.c: Report error if writing out of exported
	  configuration fails.  The silent treatment might work for me and my
	  wife, but not for failed I/O.

2006-03-30  Robert Love  <rml@novell.com>

	Patch by Crispin Flowerday <gnome@flowerday.cx>:
	* src/nm-openvpn-service-helper.c: Fix crash when no PtP IP address is
	  supplied.

2006-03-29  Robert Love  <rml@novell.com>

	* src/nm-openvpn-service.c: New eigth argument to DBUS VPN method, the
	  per-route MSS.  OpenVPN does not care about the MSS, so we send zero.

2006-03-02  Raphael Higino  <raphaelh@cvs.gnome.org>

	* configure.in: Added pt_BR to ALL_LINGUAS.

2006-02-28  Ilkka Tuohela  <hile@iki.fi>
	* configure.in: Added fi to ALL_LINGUAS.
	
2006-02-16  Francisco Javier F. Serrador  <serrador@cvs.gnome.org>

	* configure.in: Added es to ALL_LINGUAS.

2006-02-08  Clytie Siddall <clytie@riverland.net.au>

	* configure.in:	Added vi in ALL_LINGUAS line.
	
2006-02-04  Funda Wang  <fundawang@linux.net.cn>

	* configure.in: Added zh_CN to ALL_LINGUAS.

2006-01-05  Tim Niemueller <tim@niemueller.de>

	* configure.in: Explicitly set AUX_DIR to . to prevent autoconf from
	  searching (and finding) install-sh in ../.., which lead to
	  problems.

2005-12-12  Robert Love  <rml@novell.com>

	* auth-dialog/main.c: one more NULL, this time for the ellipses

2005-12-11  Tim Niemueller <tim@niemueller.de>

	* auth-dialog/main.c:
	  - Added support for encrypted key files in X.509 connections
	  - restructured code, fixed a memleak

	* src/nm-openvpn-service.c:
	  - Added support for encrypted key files for X.509 connections
	  - Added support for port parameter in gconf keys.

	* src/gnome-two-password-dialog.[ch]:
	  - Added support for setting the primary password label

	* configure.in:
	  - Bumped version to 0.3.2

2005-12-07  Tim Niemueller <tim@niemueller.de>

	* src/nm-openvpn-service.c:
	  - Removed unused variable, login banner hack not needed any more

2005-12-07  Tim Niemueller <tim@niemueller.de>

	* auth-dialog/main.c:
	  - Only request one password from Gnome keyring, patch by Crispin
	    Flowerday

	* properties/nm-openvpn-dialog.glade:
	  - Added check button to use TCP instead of UDP

	* properties/nm-openvpn.c:
	  - Protocol can now be set, defaults to UDP, TCP maybe selected with
	    check box

	* src/nm-openvpn-service.c:
	  - Support proto flag in config, default to UDP if not set for backward
	    compatibility
	  - Set a fake login banner for now until we fixed when NM sets
	    last_attempt_success (provided by Crispin)

	* configure.in:
	  - Raised versoin to 0.3.1

2005-12-05  Tim Niemueller <tim@niemueller.de>

	* properties/nm-openvpn-dialog.glade:
	  - Added X.509 + User/Pass to list of available connection
	    types
	  - added checkbox for using TAP device to optional info expander

	* properties/nm-openvpn.c:
	  - Added support for new X.509 + User/Pass connection type
	  - Added support for using TAP device, device is now written to
	    config to new field dev

	* auth-dialog/main.c:
	  - Password is also needed for new connection type

	* src/nm-openvpn-service-openvpn-helper.c:
	  - Updated header

	* src/nm-openvpn-service.[ch]:
	  - Added support for new X.509 + User/Pass connection type
	  - device is now an explicit parameter, if not set it defaults to
	    "tun" for compatibility with versions < 0.3.0
	  - fixed closing of management socket, thanks for this patch goes
	    to Crispin Flowerday
	  - Added syslog flag to OpenVPN arguments

	* configure.in:
	  - Raised version to 0.3.0

	* openvpn/intltool-extract.in
	  openvpn/intltool-merge.in
	  openvpn/intltool-update.in:
	  - Versions from intltool 0.34 are back, magically work after new
	    autogen.sh run!?

2005-11-30  Tim Niemueller <tim@niemueller.de>

	* auth-dialog/main.c: Only request one password,
	  still use GnomeTwoPasswordDialog, gives all the functionality we need.
	  This should be unified between VPN implementations. Also I had to add
	  GConf support to see if a password is really needed for the connection
	  type. The configuraton line should be written to the auth-dialog by NM
	  and maybe even an impl_needs_passwd_dialog or similar should be added.
	  Patch will follow when healthy again.

	* properties/nm-openvpn-dialog.glade: Updated GUI,
	  contains now everything needed to configure all three connection types

	* properties/nm-openvpn.c: Added handling of all
	  three connection types.

	* src/nm-openvpn-service-openvpn-helper.c: Use
	  different environment variables which are available for all connection
	  types, fixed the returned VPN gateway address. This was the remote IP
	  used in the VPN network, not the remote's real address. This prevented
	  it from working if VPN gateway was not in the same subnet since routes
	  were wrong.

	* src/nm-openvpn-service.h
	  src/nm-openvpn-service.c: Added support for
	  password and shared secret connection types. Reformatted to Gnu style.

	* configure.in: Raised version to 0.2.0

	* openvpn/intltool-extract.in
	  openvpn/intltool-merge.in
	  openvpn/intltool-update.in:
	  Version from intltool 0.33, 0.34 won't work at the moment.

2005-10-29  Tim Niemueller <tim@niemueller.de>

	* started work based on vpnc work

